KDE 4.9 PyKDE API Reference

- KDE's Python API

# MediaList Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

The MediaList interface provides the abstraction of an ordered collection of media, without defining or constraining how this collection is implemented. All media are lowercase strings.

## Methods

| __init__ (self)
| __init__ (self, DOM.MediaList other)
| appendMedium (self, DOM.DOMString newMedium)
| deleteMedium (self, DOM.DOMString oldMedium)
bool | isNull (self)
DOM.DOMString | item (self, long index)
long | length (self)
DOM.DOMString | mediaText (self)
| setMediaText (self, DOM.DOMString value)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.MediaList | other
| ) |  |  |

appendMedium | ( | self, |
|  | DOM.DOMString | newMedium
| ) |  |  |

Adds the medium newMedium to the end of the list. If the newMedium is already used, it is first removed.

Parameters:

  | newMedium | The new medium to add.

DOMException INVALID_CHARACTER_ERR: If the medium contains characters that are invalid in the underlying style language.

NO_MODIFICATION_ALLOWED_ERR: Raised if this list is readonly.

deleteMedium | ( | self, |
|  | DOM.DOMString | oldMedium
| ) |  |  |

Deletes the medium indicated by oldMedium from the list.

Parameters:

  | oldMedium | The medium to delete in the media list.

DOMException NO_MODIFICATION_ALLOWED_ERR: Raised if this list is readonly.

NOT_FOUND_ERR: Raised if oldMedium is not in the list.

bool isNull | ( |  | self ) |

DOM.DOMString item | ( | self, |
|  | long | index
| ) |  |  |

Returns the indexth in the list. If index is greater than or equal to the number of media in the list, this returns null.

Parameters:

  | index | Index into the collection.

Returns:
  The medium at the indexth position in the MediaList, or null if that is not a valid index.

long length | ( |  | self ) |

The number of media in the list. The range of valid media is 0 to length-1 inclusive.

DOM.DOMString mediaText | ( |  | self ) |

The parsable textual representation of the media list. This is a comma-separated list of media.

DOMException SYNTAX_ERR: Raised if the specified string value has a syntax error and is unparsable.

NO_MODIFICATION_ALLOWED_ERR: Raised if this media list is readonly.

setMediaText | ( | self, |
|  | DOM.DOMString | value
| ) |  |  |

see mediaText